Skip to main content
GET
GET /v1/teams/{id}/versions

Team Versions

Every change to a team entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.

List Versions

id
string
required
UUID of the team.

Get Specific Version

Use GET /v1/teams/{id}/versions/{version} to retrieve a specific version.
id
string
required
UUID of the team.
version
string
required
Version number to retrieve (e.g., 0.2).
GET /v1/teams/{id}/versions

Returns

List versions returns an object with entityType and a versions array of serialized entity snapshots (newest first). Get specific version returns the full team object as it existed at that version.

Error Handling

CodeError TypeDescription
401UNAUTHORIZEDInvalid or missing authentication token
404NOT_FOUNDTeam or version does not exist